//
//  Annotation.m
//  Map
//
//  Created by NYU User on 10/18/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "AnnotationView.h"


@implementation AnnotationView


- (id) initWithAnnotation: (id <MKAnnotation>) annotation
	reuseIdentifier: (NSString *) reuseIdentifier
	pixelsPerMeter: (CGFloat) pixelsPerMeter
	horizontalAccuracy: (CLLocationAccuracy) horizontalAccuracy {
	
	if ((self = [super initWithAnnotation: annotation
		reuseIdentifier: reuseIdentifier]) != nil) {

		// Initialization code
		self.backgroundColor = [UIColor clearColor];

		self.frame = CGRectMake(
			0,
			0,
			2 * horizontalAccuracy * pixelsPerMeter,
			2 * horizontalAccuracy * pixelsPerMeter
		);
	}
	return self;
}

// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void) drawRect: (CGRect) rect {
	// Drawing code
	CGContextRef c = UIGraphicsGetCurrentContext();
	CGContextSetRGBStrokeColor(c, 1.0, 0.0, 0.0, 1.0);	//red, opaque
	CGContextSetLineWidth(c, 2);
	CGContextAddEllipseInRect(c, self.bounds);
	CGContextStrokePath(c);
}

- (void) dealloc {
	[super dealloc];
}


@end
